package com.persagy.person.service;

import java.util.List;

import com.persagy.common.service.ISuperService;
import com.persagy.person.pojo.dto.SaasMenu;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
public interface ISaasMenuService extends ISuperService<SaasMenu> {

	/**
	 * 获取账号菜单集合
	 * @param accountId
	 * @param groupCode
	 * @return
	 */
	List<SaasMenu> querySaasMenuTree(String accountId, String groupCode, Integer valid);

	/**
	 * 查询出此角色下，所有不存在功能点的菜单集合
	 * @param groupCode
	 * @param roleId
	 * @return
	 */
	List<SaasMenu> queryMenuAndEmptyFunction(String groupCode, String roleId);

}

